Subject: Re: [PATCH net-next v2 2/2] net: ti: icssg: Add HSR and LRE PA statistics

From: Jakub Kicinski <[email-masked]>
Date: Wed, 20 May 2026 15:33:03 -0700

On Wed, 20 May 2026 15:30:24 +0530 MD Danish Anwar wrote:
> What should be the next steps here? Is there any existing defined set of
> stats where I could populate stats from ICSSG firmware for HSR (similar
> to ndo_get_stats64 callback). Or de we need to implement a new callback
> that will do this for HSR.

I'd try to plumb this thru ndo_get_offload_stats
Close enough for my taste, let's see if anyone objects.

> I agree with Luka on the categorization,

Felix responded with the MIB counters which are even better.
We should probably define a struct with all of those and then
just fill in the ones you have.

Please do the same thing ethtool Netlink does, break the counters up,
each member to its own Netlink attr, in the kernel init them to ~0
and only report values the driver actually set to something.
We don't want to print 0 for stats driver doesn't support.